## org.apache.fop.image.analyser
Class BMPReader

    java.lang.Object
      |
      +--org.apache.fop.image.analyser.AbstractImageReader
            |
            +--org.apache.fop.image.analyser.BMPReader

public class BMPReader
extends AbstractImageReader

ImageReader object for BMP image type.

Version:
  1.0
Author:
  Pankaj Narula

Field Summary
`protected static int` `BMP_SIG_LENGTH`
`protected byte[]` `header`

Fields inherited from class org.apache.fop.image.analyser.AbstractImageReader
`height, imageStream, width`

Constructor Summary
`BMPReader()`

Method Summary
`java.lang.String` `getMimeType()` Return correspondig mime type.
`protected void` `setDefaultHeader()`
`protected void` `setDimension()`
`boolean` `verifySignature(java.io.BufferedInputStream fis)` Verify image type.

Methods inherited from class org.apache.fop.image.analyser.AbstractImageReader
`getHeight, getInputStream, getWidth`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BMP_SIG_LENGTH

    protected static final int BMP_SIG_LENGTH

### header

    protected byte[] header

Constructor Detail

### BMPReader

    public BMPReader()

Method Detail

### verifySignature

    public boolean verifySignature(java.io.BufferedInputStream fis)
                            throws java.io.IOException

  Description copied from interface: ImageReader
  Verify image type.
  Overrides:
    verifySignature in class AbstractImageReader
  Tags copied from interface: ImageReader
  Parameters:
    `bis` - Image buffered input stream
  Returns:
    true if image type is the handled one
  Throws:
    java.io.IOException - io error

### getMimeType

    public java.lang.String getMimeType()

  Description copied from interface: ImageReader
  Return correspondig mime type.
  Overrides:
    getMimeType in class AbstractImageReader
  Tags copied from interface: ImageReader
  Returns:
    image mime type

### setDimension

    protected void setDimension()

### setDefaultHeader

    protected void setDefaultHeader()
                             throws java.io.IOException

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.